.hovereffect {
  width: 100%;
  height: 100%;
  float: left;
  overflow: hidden;
  position: relative;
  text-align: center;
  cursor: default;
}

.hovereffect .overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  overflow: hidden;
  top: 0;
  left: 0;
  opacity: 0;
  background-color: rgba(0, 0, 0, 0.5);
  -webkit-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
}

.hovereffect img {
  display: block;
  position: relative;
  -webkit-transition: all 0.4s linear;
  transition: all 0.4s linear;
}

.hovereffect:hover img {
  -ms-transform: scale(1.2);
  -webkit-transform: scale(1.2);
  transform: scale(1.2);
}

.hovereffect:hover .overlay {
  opacity: 1;
  filter: alpha(opacity=100);
}

.soical_icons .nav .nav-link .fab {
  border: 2px solid #011c48;
  height: 30px;
  width: 30px;
  border-radius: 50%;
  text-align: center;
  padding-top: 5px;
  color: #011c48;
}

.dropdown_custom .dropleft .dropdown-toggle::before {
  content: unset !important;
}

/*page*/
.detail_olimag_bg {
  background: url(https://olinom-prod.b-cdn.net/build/images/header-bgg.c8de9ee2.png) no-repeat;
  background-size: cover;
}

.inner-page {
  top: -144px;
  left: 0;
}

.inner-page img {
  width: 91%;
  height: auto;
}

/*index*/
.height_set {
  height: 60px;
  padding: 0 8px 7px 0;
  margin: 0;
}

.img-postion {
  top: 130px;
  right: 0;
}

.bottom-20 {
  position: absolute;
  bottom: 20px;
}

.search-form .bg-white {
  border-radius: 130px;
}

/**
 * Professor Slider
 */
.instructor-slider {
  margin-left: -7px;
  margin-right: -7px;
}

.instructor-slider .slick-slide {
  padding: 7px;
}

.instructor-slider .item-text {
  border-left: 1px solid #c3c8cc;
  border-right: 1px solid #c3c8cc;
  border-bottom: 1px solid #c3c8cc;
  border-bottom-left-radius: 0.5rem;
  border-bottom-right-radius: 0.5rem;
}

.instructor-slider .overlay-main,
.instructor-slider .slick-slide .card-img-top {
  border-radius: 0.5rem 0.5rem 0 0;
}

.instructor-slider-navigation .button {
  border: none;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  box-shadow: 0 1px 2px #707070;
  background-color: inherit;
  color: #011c48;
}

.instructor-slider-navigation .dots li {
  width: 12px;
  height: 12px;
}

.instructor-slider-navigation .dots li button {
  width: 12px;
  height: 12px;
  border: 0;
  border-radius: 50%;
  background-color: #c3c8cc;
  color: transparent;
}

.instructor-slider-navigation button:focus {
  outline: none;
}

.instructor-slider-navigation .dots li.active button {
  background-color: #ffd800;
}

@media (max-width: 991px) {
  .header-img-right {
    display: none;
  }
}

.wishedOffer.wished {
  background-color: #00AE8D;
}

@media (min-width: 992px) and (max-width: 1199px) {
  .logo-large {
    width: 115px;
  }
}

.mobile-sidenav-home {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1040;
  top: 0;
  right: 0;
  background-color: #FFFFFF;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 10px;
}

.owl-carousel .owl-dots.disabled, .owl-carousel .owl-nav.disabled {
  display: block;
}

.owl-theme .owl-nav [class*=owl-]:hover {
  color: #333;
}

.owl-theme .owl-nav {
  z-index: -1;
}

.owl-carousel .owl-nav.disabled {
  display: block !important;
}

/*Responsive_midia_quries*/
@media screen and (min-width: 380px) and (max-width: 575.98px) {
  .fon-sm-12 {
    font-size: 12px !important;
  }
  .search_tab li a.active {
    padding: 12px;
  }
  .search_tab li a {
    padding: 12px;
  }
  .line_height {
    line-height: 34px;
  }
  .find-search {
    text-align: center;
  }
  .find-search button {
    margin-bottom: 12px;
  }
  .owl-theme .owl-nav {
    margin-top: 18px;
  }
  .p_sm_0 {
    padding: 0px !important;
  }
  .font_slider_24 {
    font-size: 20px !important;
    margin-bottom: 14px !important;
  }
  .sm_screen_ani_btn_wabinar {
    position: absolute !important;
    text-align: left !important;
    bottom: -43px;
  }
  .etudiez_img_height {
    height: 250px;
  }
  .caption_sm_font {
    font-size: 18px;
    margin-bottom: 12px !important;
  }
}
@media screen and (min-width: 320px) and (max-width: 380.98px) {
  .serch_pt_xs {
    padding-top: 3rem !important;
  }
  .fon-sm-12 {
    font-size: 11px !important;
  }
  .search_tab li a.active {
    padding: 6px;
  }
  .search_tab li a svg {
    width: 20px;
  }
  .search_tab li a {
    padding: 6px;
  }
  .line_height {
    line-height: 34px;
  }
  .find-search {
    text-align: center;
  }
  .find-search button {
    margin-bottom: 12px;
  }
  .owl-theme .owl-nav {
    margin-top: 18px;
  }
  .p_sm_0 {
    padding: 0px !important;
  }
  .font_slider_24 {
    font-size: 20px !important;
    margin-bottom: 14px !important;
  }
  .sm_screen_ani_btn_wabinar {
    position: absolute !important;
    text-align: left !important;
    bottom: -43px;
  }
  .etudiez_img_height {
    height: 275px;
  }
  .btn-black {
    font-size: 11px !important;
  }
  .caption_sm_font {
    font-size: 18px;
    margin-bottom: 12px !important;
  }
}
/* Slider */
.slick-slider {
  position: relative;
  display: block;
  box-sizing: border-box;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -ms-touch-action: pan-y;
  touch-action: pan-y;
  -webkit-tap-highlight-color: transparent;
}

.slick-list {
  position: relative;
  overflow: hidden;
  display: block;
  margin: 0;
  padding: 0;
}
.slick-list:focus {
  outline: none;
}
.slick-list.dragging {
  cursor: pointer;
  cursor: hand;
}

.slick-slider .slick-track,
.slick-slider .slick-list {
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  -ms-transform: translate3d(0, 0, 0);
  -o-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.slick-track {
  position: relative;
  left: 0;
  top: 0;
  display: block;
  margin-left: auto;
  margin-right: auto;
}
.slick-track:before, .slick-track:after {
  content: "";
  display: table;
}
.slick-track:after {
  clear: both;
}
.slick-loading .slick-track {
  visibility: hidden;
}

.slick-slide {
  float: left;
  height: 100%;
  min-height: 1px;
}
[dir=rtl] .slick-slide {
  float: right;
}
.slick-slide img {
  display: block;
}
.slick-slide.slick-loading img {
  display: none;
}
.slick-slide {
  display: none;
}
.slick-slide.dragging img {
  pointer-events: none;
}
.slick-initialized .slick-slide {
  display: block;
}
.slick-loading .slick-slide {
  visibility: hidden;
}
.slick-vertical .slick-slide {
  display: block;
  height: auto;
  border: 1px solid transparent;
}

.slick-arrow.slick-hidden {
  display: none;
}
@charset "UTF-8";
/* Slider */
.slick-loading .slick-list {
  background: #fff url(https://olinom-prod.b-cdn.net/build/images/ajax-loader.fb6f3c23.gif) center center no-repeat;
}

/* Icons */
@font-face {
  font-family: "slick";
  src: url(https://olinom-prod.b-cdn.net/build/fonts/slick.a4e97f5a.eot);
  src: url(https://olinom-prod.b-cdn.net/build/fonts/slick.a4e97f5a.eot) format("embedded-opentype"), url(https://olinom-prod.b-cdn.net/build/fonts/slick.29518378.woff) format("woff"), url(https://olinom-prod.b-cdn.net/build/fonts/slick.c94f7671.ttf) format("truetype"), url(https://olinom-prod.b-cdn.net/build/images/slick.2630a3e3.svg) format("svg");
  font-weight: normal;
  font-style: normal;
}
/* Arrows */
.slick-prev,
.slick-next {
  position: absolute;
  display: block;
  height: 20px;
  width: 20px;
  line-height: 0px;
  font-size: 0px;
  cursor: pointer;
  background: transparent;
  color: transparent;
  top: 50%;
  -webkit-transform: translate(0, -50%);
  -ms-transform: translate(0, -50%);
  transform: translate(0, -50%);
  padding: 0;
  border: none;
  outline: none;
}
.slick-prev:hover, .slick-prev:focus,
.slick-next:hover,
.slick-next:focus {
  outline: none;
  background: transparent;
  color: transparent;
}
.slick-prev:hover:before, .slick-prev:focus:before,
.slick-next:hover:before,
.slick-next:focus:before {
  opacity: 1;
}
.slick-prev.slick-disabled:before,
.slick-next.slick-disabled:before {
  opacity: 0.25;
}
.slick-prev:before,
.slick-next:before {
  font-family: "slick";
  font-size: 20px;
  line-height: 1;
  color: white;
  opacity: 0.75;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.slick-prev {
  left: -25px;
}
[dir=rtl] .slick-prev {
  left: auto;
  right: -25px;
}
.slick-prev:before {
  content: "←";
}
[dir=rtl] .slick-prev:before {
  content: "→";
}

.slick-next {
  right: -25px;
}
[dir=rtl] .slick-next {
  left: -25px;
  right: auto;
}
.slick-next:before {
  content: "→";
}
[dir=rtl] .slick-next:before {
  content: "←";
}

/* Dots */
.slick-dotted.slick-slider {
  margin-bottom: 30px;
}

.slick-dots {
  position: absolute;
  bottom: -25px;
  list-style: none;
  display: block;
  text-align: center;
  padding: 0;
  margin: 0;
  width: 100%;
}
.slick-dots li {
  position: relative;
  display: inline-block;
  height: 20px;
  width: 20px;
  margin: 0 5px;
  padding: 0;
  cursor: pointer;
}
.slick-dots li button {
  border: 0;
  background: transparent;
  display: block;
  height: 20px;
  width: 20px;
  outline: none;
  line-height: 0px;
  font-size: 0px;
  color: transparent;
  padding: 5px;
  cursor: pointer;
}
.slick-dots li button:hover, .slick-dots li button:focus {
  outline: none;
}
.slick-dots li button:hover:before, .slick-dots li button:focus:before {
  opacity: 1;
}
.slick-dots li button:before {
  position: absolute;
  top: 0;
  left: 0;
  content: "•";
  width: 20px;
  height: 20px;
  font-family: "slick";
  font-size: 6px;
  line-height: 20px;
  text-align: center;
  color: black;
  opacity: 0.25;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.slick-dots li.slick-active button:before {
  color: black;
  opacity: 0.75;
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/